Subject: Re: [PATCH v2 00/10] uaccess: better might_sleep/might_fault behavior

From: Peter Zijlstra <[email-masked]>
Date: Wed, 22 May 2013 12:19:16 +0200

On Wed, May 22, 2013 at 11:25:36AM +0200, Arnd Bergmann wrote:
> Calling might_fault() for every __get_user/__put_user is rather expensive
> because it turns what should be a single instruction (plus fixup) into an
> external function call.

We could hide it all behind CONFIG_DEBUG_ATOMIC_SLEEP just like
might_sleep() is. I'm not sure there's a point to might_fault() when
might_sleep() is a NOP.